function cdf        = F_ji(cM_ji,c,gvars)
% F_ji computes the cdf of the Pareto Distribution
% F_ji(cM_ji,c) computes the cdf at c = cM_ji/phi
% We assume productivities are Pareto with shape s and minimum 1
s       = gvars.s;

cdf = cM_ji.^(-s).*...
    min(cM_ji,max(0,c)).^(s);
end