function avgW       = avgearningsM_trans(c,Q,Q_ini,psiMf,gvars_ini,gvars)
% avgearningsM_trans is the avg earnings in a labor market,
% assuming all firms are owned equally by all workers
% avgearningsM_trans(c,Q,Q_ini,i,psiMf,gvars_ini,gvars)

Q_d                 = Q;
Q_f                 = Q;

h                   = 1;
f                   = 1;

pop_ini             = popM(c,Q_ini,Q_ini,gvars_ini);
wages               = totalM_trans(@payrollM_trans,c,Q_d,Q_f,psiMf(c),h,f,gvars);


avgW                = wages./pop_ini;


end