function [q0 , L0]  =  cons0_trans(Q,cH_max,Q_ini,cH_max_ini,gvars_ini,gvars)
% consumption of homo. good in a symmetric equilibrium conditions
% cons0_trans(Q,cH_max,Q_ini,cH_max_ini,gvars_ini,gvars)

gamma               = gvars.gamma;


emplM               = empM_trans(Q,cH_max,Q_ini,cH_max_ini,gvars_ini,gvars);
emplH               = empH_trans(Q,cH_max,Q_ini,cH_max_ini,gvars_ini,gvars);

labor0              = lab0(Q_ini,cH_max_ini,gvars_ini);

L0                  = labor0;

q0                  = labor0 - gamma*(emplM + emplH);
end