function h          = hiringH(c_ji,c_comp,Q_i,gvars)
% hiringH computes the hiring costs of a j-producer with cost c_ji
% hiringH(c_ji,c_comp,Q_i) gives the hiring costs
% of a duopolist with unit costs c_ji
% and a competitor from 1-j with unit cost c_comp

gamma               = gvars.gamma;

h                   = gamma .* sizeH(c_ji,c_comp,Q_i,gvars);

end