function I  = myquad(fcn_pdf, a, b,varargin)

Nk          =  249;

hv          = (b - a)/(Nk - 1);

kv          = 1:1:Nk;

wv          = ones(1,Nk); wv(2:2:Nk -1) = 4; wv(3:2:Nk - 2) = 2;

[W , H]     = meshgrid(wv,hv);

[K , A]     = meshgrid(kv,a);

WH          = (W .* H) ./ 3;

X           = A + (K - 1) .* H;


I           = sum ( WH .* fcn_pdf(X) , 2);

I           = reshape(I, size(a));

% N = 249;
% 
% I = zeros(size(a));
% 
% for i = 1: numel(a)
%     
%     h = (b - a(i))/(N - 1);
%     
%     x = (a(i):h:b).';
%     
%     w = ones(1,N); w(2:2:N -1) = 4; w(3:2:N - 2) = 2; w = w*h/3;
%     
%     I(i) = w * fcn_pdf(x);
%     
% end

end
