function p_ji       = priceM_trans(c_ji,psiM,gvars)
% priceM_trans computes the price in i charged 
% by a j-producer with cost c_ji with a population bound (multiplier: psi)
% priceM(c_ji) gives the optimal price charged
% by a j-monopolist with cost c_ji in a CES setup
markup              = gvars.markup;

p_ji                = markup.*(1 + psiM).*c_ji;

end