function e          = sizeH(c_ji,c_comp,Q_i,gvars)
% sizeH computes the employment of a j-producer with cost c_ji
% sizeH(c_ji,c_comp,Q_i) gives the  employment
% of a duopolist with unit costs c_ji
% and a competitor from 1-j with unit cost c_comp

% markup              = gvars.markup;
% gamma               = gvars.gamma;
% b                   = gvars.b;
% rho                 = gvars.rho;
% eta                 = gvars.eta;
% sigma               = gvars.sigma;
% 
% [X , Y]             = ndgrid(c_ji,c_comp);
% 
% e                   = zeros(size(X));
% 
% % e_max               = Q_i.^(- (rho - eta)/(1-rho)).*...
% %                                 (X.^(1-sigma))./...
% %                                 (gamma+b);
% %                             
% % e_max_comp          = Q_i.^(- (rho - eta)/(1-rho)).*...
% %                                 (Y.^(1-sigma))./...
% %                                 (gamma+b);
% % 
% % e(e_max >= e_max_comp) =  max(e_max_comp (e_max >= e_max_comp) , ...
% %                             (markup.^(-sigma)).* ...
% %                                 e_max(e_max >= e_max_comp));
%      
% e(Y >= X)           =  Q_i.^(- (rho - eta)/(1-rho)).*...
%                        max ( Y(Y >= X).^(1-sigma) , ...
%                          (markup.^(-sigma)).*(X (Y >= X).^(1-sigma)))./ ...
%                         (gamma+b);

rho                 = gvars.rho;
eta                 = gvars.eta;
sigma               = gvars.sigma;
gamma               = gvars.gamma;
b                   = gvars.b;
cmax                = gamma + b;

X                   = ndgrid(c_ji,c_comp);

e                   = (Q_i.^(-(rho - eta)/(1-rho))).*(X./cmax).*...
                        (priceH(c_ji,c_comp,gvars)).^(-sigma);

end


% function e          = sizeH(c_ji,c_comp,Q_i,gvars)
% % sizeH computes the employment of a j-producer with cost c_ji
% % sizeH(c_ji,c_comp,Q_i) gives the  employment
% % of a duopolist with unit costs c_ji
% % and a competitor from 1-j with unit cost c_comp
% 
% gamma               = gvars.gamma;
% b                   = gvars.b;
% 
% e                   = (1./markupH(c_ji,c_comp,gvars)).*...
%                         revenuesH(c_ji,c_comp,Q_i,gvars)./...
%                         (gamma + b);
% 
% end