function taa        = taaH_trans(c,Q,cH_max,Q_ini,cH_max_ini,h,f,gvars_ini,gvars)
% taaH_trans is the number of workers displaced because of foreign competition
% taaH_trans(c,Q,cH_max,Q_ini,cH_max_ini,gvars_ini,gvars)

delta               = gvars.delta;
tau                 = gvars.tau;
tau_ini             = gvars_ini.tau;

ub                  = c/tau;
lb                  = c/tau_ini;



% pop                 = popH(c,Q_ini,Q_ini,cH_max_ini,gvars_ini);

emp                 = expected_totalpartH(lb,ub, ...
                        @sizeH,c,Q_ini,Q_ini,cH_max_ini,h,f,gvars_ini);

taa                 = (1 - delta*(c<=cH_max_ini & c>cH_max)).*emp;

end


% function taa        = taaH_trans(c,Q,cH_max,Q_ini,cH_max_ini,gvars_ini,gvars)
% % taaH_trans is the number of workers displaced because of foreign competition
% % taaH_trans(c,Q,cH_max,Q_ini,cH_max_ini,gvars_ini,gvars)
% 
% tau                 = gvars.tau;
% 
% 
% 
% 
% 
% h                   = 1;
% f                   = 1;
% 
% % pop                 = popH(c,Q_ini,Q_ini,cH_max_ini,gvars_ini);
% emp                 = expected_totalH(...
%                         @sizeH,c,Q_ini,Q_ini,cH_max_ini,h,f,gvars_ini);
% 
% taa                 = cdfH_trans(c./tau, cH_max,gvars).*emp;
% 
% end