function iceberg    = tau_ji(j,i,tau)
% tau_ji computes the bilateral icerberg cost factor
% F_ji(j,i)  computes the icerberg cost factor from country j to country i
% It uses the global coefficient tau

iceberg = max(1,tau.*(abs(i-j)>0));
end