function avgW       = avgearnings_trans(Q,cH_max,Q_ini,cH_max_ini,psiH,psiM,gvars_ini,gvars)
% avgearnings_trans is the avgearnings from workers in other labor markets,
% assuming all firms are owned equally by all workers
% avgearnings_trans(c,Q,cH_max,Q_ini,cH_max_ini,psiH,psiM,gvars_ini,gvars)

L               = gvars.L;

Q_d                 = Q;
Q_f                 = Q;

h                   = 1;
f                   = 1;

                           
avgW                = (1/L)*...
                      ( ...
                        aggM_trans(@payrollM_trans,...
                                Q_d,Q_f,cH_max,psiM,h,f,gvars) + ...
                        aggH_trans(@payrollH_trans,...
                                Q_d,Q_f,cH_max,psiH,h,f,gvars) + ...
                        lab0(Q_ini,cH_max_ini,gvars_ini) ...
                      );


end