function h          = hiringH_trans(c_ji,c_comp,Q_i,psiH,gvars)
% hiringM_trans computes the hiring costs a pop. constrained
% j-producer with cost c_ji
% hiringM_trans(c_ji,Q_i,psiH) gives the hiring costs of 
% of a duopolist with unit costs c_ji
% and a competitor from 1-j with unit cost c_comp
% in a CES setup & Lagrangian psiH

gamma               = gvars.gamma;

h                   = gamma .* sizeH_trans(c_ji,c_comp,Q_i,psiH,gvars);
end