function h          = hiringM(c_ji,Q_i,gvars)
% hiringM computes the hiring costs a j-producer with cost c_ji
% hiringM(c_ji,Q_i) gives the hiring costs of 
% a j-monopolist with cost c_ji in a CES setup

gamma               = gvars.gamma;

h                   = gamma .* sizeM(c_ji,Q_i,gvars);
end