function h          = hiringM_trans(c_ji,Q_i,psiM,gvars)
% hiringM_trans computes the hiring costs a pop. constrained
% j-producer with cost c_ji
% hiringM_trans(c_ji,Q_i,psiM) gives the hiring costs of 
% a j-monopolist with cost c_ji in a CES setup & Lagrangian psiM

gamma               = gvars.gamma;

h                   = gamma .* sizeM_trans(c_ji,Q_i,psiM,gvars);
end