function nwk        =  nonempl_trans(Q,cH_max,Q_ini,cH_max_ini,gvars_ini,gvars)
% unemployment in the economy
% nonempl(Q,cH_max,gvars)

emplM               = empM_trans(Q,cH_max,Q_ini,cH_max_ini,gvars_ini,gvars);
emplH               = empH_trans(Q,cH_max,Q_ini,cH_max_ini,gvars_ini,gvars);

nwk                 = ( ...
                        (gvars.L - lab0(Q_ini,cH_max_ini,gvars_ini)) - ...
                        (emplM + emplH) ...
                      ) / gvars.L;
end