function payroll    = payrollH(c_ji,c_comp,Q_i,gvars)
% payrollH computes the wage bill of a j-producer with cost c_ji
% payrollH(c_ji,c_comp,Q_i) gives the wage bill
% of a duopolist with unit costs c_ji
% and a competitor from 1-j with unit cost c_comp

payroll             = wageH(c_ji,c_comp,gvars) .* ...
                        sizeH(c_ji,c_comp,Q_i,gvars);
end