function payroll    = payrollH_trans(c_ji,c_comp,Q_i,psiH,gvars)
% payrollM_trans computes the wage bill
% of a j-producer with cost c_ji facing c_comp
% payrollH_trans(c_ji,c_comp,Q_i,psiH) gives the wage bill of
% of a j-duopolist with cost c_ji facing c_comp in a CES setup


payroll             = wageH_trans(c_ji,c_comp,Q_i,psiH,gvars) .* ...
                        sizeH_trans(c_ji,c_comp,Q_i,psiH,gvars);

%% to undo exo size, remove Q_i in argument of function and wageH call
end