function profits     = profitsH_trans(c_ji,c_comp,Q_i,psiH,gvars)
% revenuesH_trans computes the profits in i made
% by a j-producer with cost c_ji facing c_comp
% profitsH_trans(c_ji,c_comp,Q_i,psiH) gives the optimal revenue earned
% by a j-duopolist with cost c_ji facing c_comp in a CES setup


lambda              = gvars.lambda;

markup_constr       = markupH_trans(c_ji,c_comp,Q_i,psiH,gvars);

profits             = (1-lambda).*(1 - 1./markup_constr).*...
                        revenuesH_trans(c_ji,c_comp,Q_i,psiH,gvars);

%% to undo exo size, remove Q_i in argument of function and markupH call

end