function ratio      = ratioHM(c,Q_d,Q_f,cH_max,gvars)

kappa               = gvars.kappa;
alpha               = gvars.alpha;

h                   = 1;
f                   = 1;

profM               = totalM(@profitsM,alpha.*c,Q_d,Q_f,h,f,gvars);
profH               = expected_totalH(@profitsH,c,Q_d,Q_f,cH_max,h,f,gvars);

ratio               = profH./profM - (1 - kappa);

end