function e          = sizeH_trans(c_ji,c_comp,Q_i,psiH,gvars)
% sizeH_trans computes the employment of a j-producer with cost c_ji
% sizeH_trans(c_ji,c_comp,Q_i) gives the  employment
% of a duopolist with unit costs c_ji
% and a competitor from 1-j with unit cost c_comp


X                   = ndgrid(c_ji,c_comp);


e                   = sizeH(c_ji,c_comp,Q_i,gvars);              
                    
% e(psiH >= 0)       = sizeM_trans(X(psiH >= 0),Q_i,psiH(psiH >= 0),gvars);

%% this is using psi for the exo. size instead
e(psiH >= 0)       = e(psiH >= 0) ./ ( 1 + psiH(psiH >= 0) );

end