function e          = sizeM(c_ji,Q_i,gvars)
% sizeM computes the employment a j-producer with cost c_ji
% sizeM(c_ji,Q_i) gives the employment emp 
% a j-monopolist with cost c_ji in a CES setup
markup              = gvars.markup;
gamma               = gvars.gamma;
b                   = gvars.b;


e                   = (1/markup).*...
                        revenuesM(c_ji,Q_i,gvars)./...
                        (gamma+b);
end