function u          =  util(Q,cH_max,gvars)
% utility in a symmetric equilibrium conditions
% assume w_0 = b = 1

eta                 = gvars.eta;

% workers in the differentiated sector
q0                  =  cons0(Q,cH_max,gvars);

u                   = q0 + (1/eta)*Q^eta;
end